%define pkgname   dirsrv

Summary:          389 Directory Server Gateway (dsgw)
Name:             389-dsgw
Version:          1.1.11
Release:          %mkrel 30
License:          GPLv2
Group:            System/Servers
URL:              https://port389.org/
Source0:          https://port389.org/sources/%{name}-%{version}.tar.bz2
Patch0:		  389-dsgw-1.1.11-icu-true.patch
Patch1:		  389-dsgw-fix-build-with-gcc14.patch
BuildRequires:    pkgconfig(nspr)
BuildRequires:    pkgconfig(nss)
BuildRequires:    pkgconfig(svrcore)
BuildRequires:    pkgconfig(mozldap)
BuildRequires:    pkgconfig(libsasl2)
BuildRequires:    icu
BuildRequires:    libicu-devel
BuildRequires:    pkgconfig(389-adminutil)
# this provides the required  /etc/dirsrv/admin-serv/httpd.conf
Requires:         389-admin
# orgchart uses perldap
Requires:         perl-Mozilla-LDAP

%description
389 Directory Server Gateway is a collection of 3 web applications
that run on top of the Administration Server used by the Directory
Server.  These 3 applications are:
* phonebook - a simple phone book application geared towards end users,
with simple search screens and simple self-service management
* orgchart - an organization chart viewer
* gateway - a more advanced search interface that allows admins to
create and edit user entries, and allows creation of templates for
different types of user and group entries

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-rpath --with-openldap

# Generate symbolic info for debuggers
export XCFLAGS=$RPM_OPT_FLAGS

%ifarch x86_64
export USE_64=1
%endif

%make_build

%install
%make_install

# make cookie db directory
mkdir -p %{buildroot}%{_localstatedir}/run/%{pkgname}/dsgw/cookies
# touch the tmpfiles.d conf file - but will not be included in the package
# Spuhler, March 13, 2013- The spec file in the source tar ball doesn't include this temp file
# and rpmlint rejects it. Let's see if it really needs it. Suse doesn't use this file either.
# Comment out the ghostfile too
# mkdir -p %{buildroot}%{_sysconfdir}/tmpfiles.d
# touch %{buildroot}%{_sysconfdir}/tmpfiles.d/%{pkgname}-dsgw.conf



%post
# this has been problematic - if this directory
# does not exist, the server will silently fail to
# start - however, if the user has already created
# it, we don't want to overwrite the permissions
# on it - so we can't list it explicitly in the
# files section
if [ ! -d %{_localstatedir}/run/%{pkgname}/dsgw/cookies ] ; then
    mkdir -p %{_localstatedir}/run/%{pkgname}/dsgw/cookies
fi

%files
%doc LICENSE
%dir %{_sysconfdir}/%{pkgname}/dsgw
%config(noreplace)%{_sysconfdir}/%{pkgname}/dsgw/*.conf
%{_datadir}/%{pkgname}/dsgw
%{_datadir}/%{pkgname}/manual/*/dsgw
%{_datadir}/%{pkgname}/properties/dsgw
%{_sbindir}/*
%{_libdir}/%{pkgname}/dsgw-cgi-bin
# %%ghost %%{_sysconfdir}/tmpfiles.d/%%{pkgname}-dsgw.conf



%changelog
* Sun Jan 12 2025 wally <wally> 1.1.11-30.mga10
+ Revision: 2138437
- rebuild for icu 76.1

* Thu Nov 28 2024 ns80 <ns80> 1.1.11-29.mga10
+ Revision: 2119634
- fix building with GCC 14

* Sat Oct 14 2023 daviddavid <daviddavid> 1.1.11-28.mga10
+ Revision: 1996589
- rebuild for icu73

* Sat Jan 07 2023 squidf <squidf> 1.1.11-27.mga9
+ Revision: 1931101
- Mass rebuild for icu 72.1

* Wed Nov 16 2022 kekepower <kekepower> 1.1.11-26.mga9
+ Revision: 1907956
- Bump rel for rebuild

* Sat Jun 18 2022 squidf <squidf> 1.1.11-25.mga9
+ Revision: 1864837
- rebuild for icu 71.1

* Wed Mar 30 2022 umeabot <umeabot> 1.1.11-24.mga9
+ Revision: 1834205
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 1.1.11-23.mga9
+ Revision: 1738914
- rebuild for icu

* Thu Jan 14 2021 luigiwalser <luigiwalser> 1.1.11-22.mga8
+ Revision: 1671684
- rebuild for missing signature

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.1.11-21.mga8
+ Revision: 1651009
- ICU 68 uses standard C++ bool true
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 1.1.11-20.mga8
+ Revision: 1601011
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 1.1.11-19.mga8
+ Revision: 1564446
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 1.1.11-18.mga8
+ Revision: 1534631
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 05 2019 daviddavid <daviddavid> 1.1.11-17.mga8
+ Revision: 1449566
- rebuild for new icu 65.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.1.11-16.mga7
+ Revision: 1346083
- rebuild for icu

* Tue Aug 28 2018 daviddavid <daviddavid> 1.1.11-15.mga7
+ Revision: 1255279
- rebuild for new icu

* Fri Dec 29 2017 wally <wally> 1.1.11-13.mga7
+ Revision: 1186960
- rebuild for new icu

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1.1.11-12.mga6
+ Revision: 1092679
- Rebuild for icu-58.2

* Sat Jan 28 2017 akien <akien> 1.1.11-11.mga6
+ Revision: 1083860
- Rebuild for buildsystem issue

* Sat May 14 2016 shlomif <shlomif> 1.1.11-10.mga6
+ Revision: 1015266
- Rebuild for the new UCI (new major)

* Wed Jan 06 2016 spuhler <spuhler> 1.1.11-9.mga6
+ Revision: 920093
- changed %%configure to %%configure2_5x to make it build
+ luigiwalser <luigiwalser>
- rebuild for icu

* Sun Jul 26 2015 cjw <cjw> 1.1.11-7.mga6
+ Revision: 857745
- rebuild for icu 55

* Wed Oct 15 2014 umeabot <umeabot> 1.1.11-6.mga5
+ Revision: 748405
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.11-5.mga5
+ Revision: 677636
- Mageia 5 Mass Rebuild

* Sun Apr 06 2014 wally <wally> 1.1.11-4.mga5
+ Revision: 612236
- rebuild for new icu

* Mon Oct 21 2013 umeabot <umeabot> 1.1.11-3.mga4
+ Revision: 537663
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 1.1.11-2.mga4
+ Revision: 487460
- rebuild for icu 52

* Tue Aug 27 2013 spuhler <spuhler> 1.1.11-1.mga4
+ Revision: 472447
- upgrade to vers. 1.1.11
  * removed admin_detection patch, built into the new source

* Fri Aug 16 2013 spuhler <spuhler> 1.1.10-4.mga4
+ Revision: 466997
- added admin_detection.patch to make it build
  * based on Fedora 0001-Ticket-47465-problem-with-389-adminutil-detection-in.patch

* Mon May 27 2013 fwang <fwang> 1.1.10-3.mga4
+ Revision: 428599
- rebuild for new icu

* Sat Mar 23 2013 spuhler <spuhler> 1.1.10-2.mga3
+ Revision: 404614
- added Requires: 389-admin
  bumped rel

* Thu Mar 14 2013 spuhler <spuhler> 1.1.10-1.mga3
+ Revision: 402910
- Comment out the temp (ghost) files in /etc/..
  The spec file in the source doesn't use it neither does Opensuse
- updated to version 1.1.10 to make it build
  added autoreconf -fi to satisfy libtool version
- replaced Fedora macros with Mageia's
  removed obsoleted lines in spec file
- corrected Group
- cleaned up spec sheet
- imported package 389-dsgw


* Thu Jan 14 2010 Rich Megginson <rmeggins@redhat.com> - 1.1.5-1
- bump version to 1.1.5
- make sure we can find ICU genrb correctly on all platforms

* Wed Aug 12 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.4-1
- bump version to 1.1.4
- fix remaining licensing problems
- fix adminutil.m4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.3-2
- use 389-adminutil instead of adminutil

* Wed Jun  3 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.3-1
- bump version to 1.1.3 for fedora package review

* Fri May 15 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.2-3
- rename to 389

* Tue Apr 21 2009 Orion Poplawski <orion@cora.nwra.com> - 1.1.2-2
- Make adminutil-devel BR >= 1.1.8

* Tue Mar 31 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.2-1
- this is the 1.1.2 release

* Thu Sep  4 2008 Rich Megginson <rmeggins@redhat.com> - 1.1.1-1
- this is the 1.1.1 release

* Mon Mar  3 2008 Rich Megginson <rmeggins@redhat.com> - 1.1.0-1
- Initial version based on fedora-ds-admin.spec
